Subject: Re: [MOBILE-IP] AAA MIP requirements comment

From: Tom Weckström <[email-masked]>
Date: Thu, 25 Nov 1999 00:35:41 +0200

Hello Patrick.

I agree with you. The Mobile IP Mobility Management signaling and the
AAA signaling should be kept apart.

My justifications to my opinion are:

        - As Patrick said: fast mobility
        - No _necessity_ to bundle the
          signaling (at least NOT always)

Of course the signaling should be optimized to minimum number of
packets, so the information from one MIP MM packet could be used for
another AAA signaling packet, but I would not mandate that the AAA
signaling MUST be ready before data can start flowing. I would let the
sevice provider decide on that. (Based on service type, MN, NAI, amount
of credibility, load, etc.)

If anyone can justify, why these two inherently separate signaling
should _always_ be tight together, please do so. Otherwise it seems
chrystal clear to me that the signaling is kept apart.

Regards,
         Tom

Patrik Flykt wrote:

>
>         Hello again,
>
> >I am infering quick/smooth handoff from your example here. This may be
> >possible by ensuring that the adjacent network that the mobile node
> >roams into, is already aware of the possibility of providing service to
> >the MN, prior to the MN actually being transitioned to it's
> >network. Presumably the new network that the MN roams into has already
> >authenticated the MN via the AAA infrastructure or may interact with
> >the previous network that the MN was in to perform AAA functions. This
> >may significantly reduce the time taken before connectivity is
> >provided. Another possibility is that the new network that the mobile
> >roams in may provide 'x' amount of access time free, which would give
> >the network sufficient time to perform the AAA functions and hence you
> >would not see any (significant) impact on time-sensitive applications
> >like voice. There are many possibilities here and there is work
> >ongoing in this area (as seen by a couple of I-Ds being presented at
> >this IETF).
>
> Actually, we were thinking of a MN moving between two separate foreign
> networks, i.e. the only mobility agent these two service providers would
> "share" would be the HA of the roaming MN.  Therefore, MN would have to do
> a new registration with its HA. Since the MN also is using a time-critical
> service at the same time, having to do time-consuming AAA processing will
> negatively impact the time-critical service.
>
> However, the foreign network wishing to avoid interruptions in
> time-critical services to its customers, could make a policy decision to
> give 'x minutes' of free access time' during which the AAA processing
> could take place. However, avoiding interruptions implies doing mobile IP
> registration with the HA as quickly as possible. We saw this yet another
> argument against the 'MUST' in binding the Mobile IP messages and the AAA
> messages together.
>
> If more discussion arises, we are happy to continue it here on the
> mailing list and/or at IETF46.
>
> Best Regards,
>
>         Patrik Flykt <[email-masked]> & N.Asokan
> <[email-masked]>

--
        Tom Weckström           [email-masked]
        Otakaari 20 B 39        Helsinki University of Technology
        02150 Espoo             Department of Computer Science
        09-4683249/040-5642709  http://www.niksula.cs.hut.fi/~tweckstr